package com.ruoyi.reportManagement.excel;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

/**
 * 入库导出
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public class Whgenleg {
    private static final long serialVersionUID = 1L;

    /**
     * 客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name
     */
    @Excel(name = "货权方")
    private String fCorpid;


    /**
     * 入（出）库日期
     */
    @Excel(name = "入库日期")
    private String fOriginalbilldate;

    /**
     * 入（出）库日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "仓储费计算日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fChargedate;

    /**
     * 提单号
     */
    @Excel(name = "提单号")
    private String fMblno;

    /**
     * 提单号
     */
    @Excel(name = "货物属性")
    private String fBusinessTypes;

    /**
     * 唛头
     */
    @Excel(name = "属性详情")
    private String fMarks;

    /**
     * 唛头
     */
    @Excel(name = "品名")
    private String fGoodsids;

    /**
     * 仓库
     */
    @Excel(name = "仓库")
    private String fWarehouseids;

    /**
     * 贸易方式
     */
    @Excel(name = "贸易方式")
    private String fTrademodeid;

    /**
     * 件数,由明细表自动合计生成
     */
    @Excel(name = "入库件数")
    private Integer fQtyD;

    /**
     * 毛重，由明细表自动合计生成
     */
    @Excel(name = "入库毛重（KG）")
    private Float fGrossweightD;

    /**
     * 净重，由明细表自动合计生成
     */
    @Excel(name = "入库净重（KG）")
    private Float fNetweightD;

    /**
     * 件数,由明细表自动合计生成
     */
    @Excel(name = "出库件数")
    private Integer fQtyC;

    /**
     * 毛重，由明细表自动合计生成
     */
    @Excel(name = "出库毛重（KG）")
    private Float fGrossweightC;

    /**
     * 净重，由明细表自动合计生成
     */
    @Excel(name = "出库净重（KG）")
    private Float fNetweightC;

    /**
     * 件数,由明细表自动合计生成
     */
    @Excel(name = "结余件数")
    private Integer fQtyblc;

    /**
     * 毛重，由明细表自动合计生成
     */
    @Excel(name = "结余毛重（KG）")
    private Float fGrossweightblc;

    /**
     * 净重，由明细表自动合计生成
     */
    @Excel(name = "结余净重（KG）")
    private Float fNetweightblc;

    /** 明细品名合计 */
    @Excel(name = "箱号")
    private String fCntrno;

    /** 明细品名合计 */
    @Excel(name = "备注")
    private String remark;

    public String getfCorpid() {
        return fCorpid;
    }

    public void setfCorpid(String fCorpid) {
        this.fCorpid = fCorpid;
    }

    public String getfOriginalbilldate() {
        return fOriginalbilldate;
    }

    public void setfOriginalbilldate(String fOriginalbilldate) {
        this.fOriginalbilldate = fOriginalbilldate;
    }

    public Date getfChargedate() {
        return fChargedate;
    }

    public void setfChargedate(Date fChargedate) {
        this.fChargedate = fChargedate;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public String getfBusinessTypes() {
        return fBusinessTypes;
    }

    public void setfBusinessTypes(String fBusinessTypes) {
        this.fBusinessTypes = fBusinessTypes;
    }

    public String getfMarks() {
        return fMarks;
    }

    public void setfMarks(String fMarks) {
        this.fMarks = fMarks;
    }

    public String getfGoodsids() {
        return fGoodsids;
    }

    public void setfGoodsids(String fGoodsids) {
        this.fGoodsids = fGoodsids;
    }

    public String getfWarehouseids() {
        return fWarehouseids;
    }

    public void setfWarehouseids(String fWarehouseids) {
        this.fWarehouseids = fWarehouseids;
    }

    public String getfTrademodeid() {
        return fTrademodeid;
    }

    public void setfTrademodeid(String fTrademodeid) {
        this.fTrademodeid = fTrademodeid;
    }

    public Integer getfQtyD() {
        return fQtyD;
    }

    public void setfQtyD(Integer fQtyD) {
        this.fQtyD = fQtyD;
    }

    public Float getfGrossweightD() {
        return fGrossweightD;
    }

    public void setfGrossweightD(Float fGrossweightD) {
        this.fGrossweightD = fGrossweightD;
    }

    public Float getfNetweightD() {
        return fNetweightD;
    }

    public void setfNetweightD(Float fNetweightD) {
        this.fNetweightD = fNetweightD;
    }

    public Integer getfQtyC() {
        return fQtyC;
    }

    public void setfQtyC(Integer fQtyC) {
        this.fQtyC = fQtyC;
    }

    public Float getfGrossweightC() {
        return fGrossweightC;
    }

    public void setfGrossweightC(Float fGrossweightC) {
        this.fGrossweightC = fGrossweightC;
    }

    public Float getfNetweightC() {
        return fNetweightC;
    }

    public void setfNetweightC(Float fNetweightC) {
        this.fNetweightC = fNetweightC;
    }

    public Integer getfQtyblc() {
        return fQtyblc;
    }

    public void setfQtyblc(Integer fQtyblc) {
        this.fQtyblc = fQtyblc;
    }

    public Float getfGrossweightblc() {
        return fGrossweightblc;
    }

    public void setfGrossweightblc(Float fGrossweightblc) {
        this.fGrossweightblc = fGrossweightblc;
    }

    public Float getfNetweightblc() {
        return fNetweightblc;
    }

    public void setfNetweightblc(Float fNetweightblc) {
        this.fNetweightblc = fNetweightblc;
    }

    public String getfCntrno() {
        return fCntrno;
    }

    public void setfCntrno(String fCntrno) {
        this.fCntrno = fCntrno;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
